2005-02-15 23:28  peter <peter@freepascal.org>

	* demo/: Makefile, Makefile.fpc, graph/Makefile, linux/Makefile,
	modex/Makefile, morphos/Makefile, netware/Makefile,
	netwlibc/Makefile, os2/Makefile, text/Makefile, win32/Makefile:
	
	  * 1.9.8

2005-02-14 18:13  peter <peter@freepascal.org>

	* demo/: freebsd/fontdemo.pas, graph/samegame.pp,
	morphos/ahitest.pas, morphos/asltest.pas, morphos/getvolumes.pas,
	morphos/openlib.pas, morphos/process.pas, morphos/window.pas,
	netware/nutmon.pp, netwlibc/nuttest.pp:
	
	  * truncate log

2005-02-03 21:33  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	morphos/Makefile, netware/Makefile, netwlibc/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2005-01-31 00:02  karoly

	* demo/: Makefile, Makefile.fpc:
	
	  * MorphOS demos added

2005-01-30 21:03  karoly

	* demo/morphos/: Makefile, Makefile.fpc, ahitest.pas, asltest.pas:
	
	  * initial revision

2005-01-11 18:07  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	netware/Makefile, netwlibc/Makefile, os2/Makefile, text/Makefile,
	win32/Makefile:
	
	  * regenerated

2005-01-10 23:49  armin

	* demo/Makefile.fpc:
	
	* updated makefile.fpc versions to 1.9.7, regenerated makefiles

2005-01-10 22:29  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	netware/Makefile, netwlibc/Makefile, os2/Makefile, text/Makefile,
	win32/Makefile:
	
	  * regenerated to use cpu-os

2005-01-10 07:00  karoly

	* demo/morphos/getvolumes.pas:
	
	  * initial revision

2005-01-04 12:44  armin

	* demo/: Makefile, Makefile.fpc, fpcdemos.txt, netware/Makefile,
	netware/Makefile.fpc, netware/nuttest.pp, netwlibc/Makefile,
	netwlibc/Makefile.fpc, netwlibc/nuttest.pp:
	
	* added nwsnut demo for netware

2004-12-29 22:44  armin

	* demo/fpcdemos.txt:
	
	* added netware to readme

2004-12-29 22:39  armin

	* demo/: Makefile, Makefile.fpc, graph/Makefile, linux/Makefile,
	modex/Makefile, netware/Makefile, netware/Makefile.fpc,
	netware/check.pp, netware/nutconnection.pp, netware/nutmon.pp,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	* changed makefile version to 1.9.6, added samples for Netware

2004-12-20 19:37  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2004-12-19 18:42  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2004-12-14 23:07  karoly

	* demo/morphos/window.pas:
	
	  * initial revision

2004-12-14 23:00  karoly

	* demo/morphos/openlib.pas:
	
	  * initial revision

2004-12-14 22:54  karoly

	* demo/morphos/process.pas:
	
	  * initial revision

2004-12-05 17:55  hajny <xhajt03@mbox.vol.cz>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * Makefiles regenerated

2004-11-02 21:28  marco <marcov@stack.nl>

	* demo/freebsd/fontdemo.pas:
	
	 * added

2004-06-21 09:03  marco <marcov@stack.nl>

	* demo/graph/samegame.pp:
	
	 * 2nd recommendation 3177

2004-06-21 09:01  marco <marcov@stack.nl>

	* demo/graph/: gameunit.pp, samegame.pp:
	
	 * 1st and 3rd recommendation of bug 3177

2004-06-04 14:37  marco <marcov@stack.nl>

	* demo/linux/daemon.pp:
	
	 * modernized. Now only uses baseunix,sysutils

2004-05-30 11:15  florian <florian@freepascal.org>

	* demo/Makefile.fpc:
	
	  * first part of version number update

2004-05-23 20:25  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2004-04-21 01:32  olle

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * updated according to the new version of fpcmake.ini

2004-02-18 17:43  marco <marcov@stack.nl>

	* demo/graph/samegame.pp:
	
	 *  added an API call to avoid the "Graph Window" window title, and
	readded previously removed variable
		It was used in usegraph

2004-02-18 17:43  marco <marcov@stack.nl>

	* demo/graph/fpctris.pp:
	
	 * added an API call to avoid the "Graph Window" window title

2004-01-06 00:34  marco <marcov@stack.nl>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	 * regenerating the makefiles with some netbsd fixes + version
	upgrades

2003-11-16 15:00  marco <marcov@stack.nl>

	* demo/Makefile.fpc:
	
	 update

2003-10-28 17:44  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2003-10-27 16:58  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2003-10-09 16:35  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2003-10-04 15:48  marco <marcov@stack.nl>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	 * cross compiling fixes to makefile and fpcmake

2003-10-03 23:40  marco <marcov@stack.nl>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	 * CROSSCOMPILING stage 2

2003-10-02 10:50  marco <marcov@stack.nl>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	 * remake with new fpc param

2003-10-02 10:43  marco <marcov@stack.nl>

	* demo/Makefile.fpc:
	
	 * fixed fpcdir for autogenration

2003-09-06 16:14  marco <marcov@stack.nl>

	* demo/graph/samegame.pp:
	
	 * removed unused var reported in bug 2170

2003-04-01 18:09  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2003-03-24 00:41  hajny <xhajt03@mbox.vol.cz>

	* demo/: graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  + emx target added

2003-03-24 00:36  hajny <xhajt03@mbox.vol.cz>

	* demo/Makefile:
	
	  + emx target added

2003-01-14 22:15  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2003-01-14 09:20  pierre <muller@cerbere.u-strasbg.fr>

	* demo/palmos/pilrctst.pp:
	
	 * adapt to new palmos system unit

2002-12-18 18:25  pierre <muller@cerbere.u-strasbg.fr>

	* demo/palmos/pilrctst.pp:
	
	 * modified so that it compiles again

2002-11-24 17:31  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenarated

2002-09-07 17:06  peter <peter@freepascal.org>

	* demo/: graph/fpctris.pp, graph/ftrisgr.inc, graph/ftristxt.inc,
	graph/gameunit.pp, graph/gravwars.pp, graph/mandel.pp,
	graph/maze.pp, graph/quad.pp, graph/quaddata.dat,
	graph/samegame.pp, linux/daemon.pp, modex/voxel.pp,
	os2/basicpm.pas, os2/getctry.pas, os2/pmdemo1.h, os2/pmdemo1.pp,
	os2/pmdemo1.rc, palmos/pilrc.bmp, palmos/pilrcic.bmp,
	palmos/pilrctst.pp, text/eratos.pp, text/hello.pp, text/lines.pp,
	text/magic.pp, text/qsort.pp, win32/dlltest.pp, win32/edit.pp,
	win32/menu.pp, win32/testdll.pp, win32/winhello.pp:
	
	  * old logs removed and tabs fixed

2002-08-01 14:28  marco <marcov@stack.nl>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	 * Some more OpenBSD fixes.

2002-07-30 15:46  marco <marcov@stack.nl>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	 * OpenBSD makefile fixes

2002-06-02 19:34  marco <marcov@stack.nl>

	* demo/graph/gameunit.pp:
	
	 * Renamefest

2002-06-02 11:49  marco <marcov@stack.nl>

	* demo/graph/: fpctris.pp, ftristxt.inc, gameunit.pp, quad.pp,
	samegame.pp:
	
	 * Renamefest

2002-05-01 18:52  carl <carl@freepascal.org>

	* demo/Makefile:
	
	+ Qnx target updates in makefiles

2002-04-11 21:48  pierre <muller@cerbere.u-strasbg.fr>

	* demo/graph/maze.pp:
	
	 * don't use GUI apptype as there are writes

2002-04-11 21:47  pierre <muller@cerbere.u-strasbg.fr>

	* demo/graph/mandel.pp:
	
	 * avoid RTE 103 for win32

2002-03-19 20:36  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * fix source location in zips for packages and demos

2002-03-11 20:10  peter <peter@freepascal.org>

	* demo/: Makefile, Makefile.fpc, graph/Makefile, linux/Makefile,
	modex/Makefile, os2/Makefile, text/Makefile, win32/Makefile:
	
	  * Regenerated with updated fpcmake

2002-03-01 19:07  carl <carl@freepascal.org>

	* demo/: Makefile.fpc, Makefile:
	
	+ correct installation for demo packages

2002-03-01 11:45  peter <peter@freepascal.org>

	* demo/: Makefile, Makefile.fpc:
	
	  * updated version number

2002-02-28 22:30  peter <peter@freepascal.org>

	* demo/: Makefile, Makefile.fpc, graph/Makefile, linux/Makefile,
	modex/Makefile, os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenated

2002-02-27 19:44  carl <carl@freepascal.org>

	* demo/graph/Makefile:
	
	updated makefile for demos

2002-02-27 19:38  carl <carl@freepascal.org>

	* demo/graph/Makefile.fpc:
	
	* fix problems under Win32 - where graph is required

2002-02-27 17:29  carl <carl@freepascal.org>

	* demo/graph/quad.pp:
	
	* We should initialize the mouse!

2002-02-25 22:33  carl <carl@freepascal.org>

	* demo/os2/getctry.pas:
	
	* bugfix of demo compilation problem

2002-02-25 22:32  carl <carl@freepascal.org>

	* demo/graph/mandel.pp:
	
	+ $goto on added for makefiles

2002-02-25 22:31  carl <carl@freepascal.org>

	* demo/fpcdemos.txt:
	
	* fixed typo

2002-02-25 13:56  marco <marcov@stack.nl>

	* demo/linux/: Makefile, Makefile.fpc, daemon.pp:
	
	 * Fixed two linux'isms, and commited Jonas fix for the RTE 103

2002-02-25 13:23  marco <marcov@stack.nl>

	* demo/graph/: fpcgames.txt, gameunit.pp, quad.pp:
	
	 * Fixes for Quad Win32 GUI mode

2002-02-23 09:15  carl <carl@freepascal.org>

	* demo/graph/quaddata.dat:
	
	+ added fixed version of file

2002-02-23 09:11  carl <carl@freepascal.org>

	* demo/graph/quaddata.dat:
	
	- removed file

2002-02-22 22:47  carl <carl@freepascal.org>

	* demo/text/blackbox.pp:
	
	+ fix some wrong logical comparisons

2002-02-22 22:46  carl <carl@freepascal.org>

	* demo/text/hello.pp:
	
	+ fixed log problems

2002-02-22 22:45  carl <carl@freepascal.org>

	* demo/modex/voxel.pp:
	
	- range check option gives big problems

2002-02-22 22:43  carl <carl@freepascal.org>

	* demo/modex/fpcmodex.txt:
	
	- removed todo section

2002-02-22 22:40  carl <carl@freepascal.org>

	* demo/graph/: mandel.pp, samegame.pp:
	
	* range check error fix

2002-02-22 22:40  carl <carl@freepascal.org>

	* demo/graph/gameunit.pp:
	
	* fix compilation problem

2002-02-22 22:38  carl <carl@freepascal.org>

	* demo/graph/fpcgames.txt:
	
	- removed future section

2002-02-22 22:36  carl <carl@freepascal.org>

	* demo/fpcdemos.txt:
	
	 +PalmOS directory added

2002-02-22 14:37  pierre <muller@cerbere.u-strasbg.fr>

	* demo/win32/: menu.pp, winhello.pp:
	
	 * fix problem if started through cygwin bash

2002-02-21 12:43  pierre <muller@cerbere.u-strasbg.fr>

	* demo/win32/menu.pp:
	
	 * fix range check problems and wrong uses of HEdit and HStatus
	handles

2002-01-29 19:05  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2002-01-27 22:47  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2002-01-06 22:59  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2001-12-11 12:24  marco <marcov@stack.nl>

	* demo/graph/fpctris.pp:
	
	 * some linux <-> unix fixes.

2001-12-11 12:10  marco <marcov@stack.nl>

	* demo/graph/gameunit.pp:
	
	 * Small renamefest fix

2001-12-11 11:39  marco <marcov@stack.nl>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	 * BSDhier fix to fpcmake.ini + makefile update.

2001-11-11 22:09  marco <marcov@stack.nl>

	* demo/graph/: fpcgames.txt, fpctris.pp, ftrisgr.inc, ftristxt.inc,
	gameunit.pp, gravwars.pp, mandel.pp, maze.pp, samegame.pp:
	
	 * Gameunit, Fpctris and samegame  fixed for win32 GUI

2001-10-18 22:55  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * asw support

2001-10-16 22:52  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * fpc -PB instead of -P?
	  * check if fpc exists if not found fallback to ppc386

2001-10-14 23:43  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2001-09-04 03:07  carl <carl@freepascal.org>

	* demo/win32/: edit.pp, winhello.pp:
	
	* bugfix of range check errors (bug #1588) + added win32 types for
	easier porting to win64

2001-08-30 22:18  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2001-08-22 22:49  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * regenerated

2001-08-16 21:36  florian <florian@freepascal.org>

	* demo/palmos/pilrctst.pas:
	
	  - wrong demo commited; corrected

2001-08-16 21:35  florian <florian@freepascal.org>

	* demo/palmos/pilrctst.pp:
	
	  * first demo

2001-08-16 21:18  florian <florian@freepascal.org>

	* demo/palmos/: pilrctst.h, pilrc.bmp, pilrcic.bmp, pilrctst.pas,
	pilrctst.rcp:
	
	  * first demo

2001-08-02 22:55  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * Regenerated

2001-08-01 00:02  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * install Package.fpc

2001-07-14 00:05  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * cygwin updates

2001-06-07 23:25  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * Regenerated

2001-06-06 23:58  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * Win32 fixes for Makefile so it doesn't require sh.exe

2001-06-04 23:44  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * Regenerated

2001-05-30 23:39  peter <peter@freepascal.org>

	* demo/: Makefile, graph/Makefile, linux/Makefile, modex/Makefile,
	os2/Makefile, text/Makefile, win32/Makefile:
	
	  * gecho, gdate fixes
	  * distinstall target rewrite to not install things twice

2001-05-03 23:39  peter <peter@freepascal.org>

	* demo/: Makefile, Makefile.fpc, fpcdemos.txt, graph/Makefile,
	graph/Makefile.fpc, graph/fpcgames.txt, graph/fpctris.pp,
	graph/ftrisgr.inc, graph/ftristxt.inc, graph/gameunit.pp,
	graph/gravwars.pp, graph/mandel.pp, graph/maze.pp, graph/quad.pp,
	graph/quaddata.dat, graph/samegame.pp, linux/Makefile,
	linux/Makefile.fpc, linux/daemon.pp, modex/Makefile,
	modex/Makefile.fpc, modex/fpcmodex.txt, modex/voxel.pp,
	os2/Makefile, os2/Makefile.fpc, os2/basicpm.pas, os2/getctry.pas,
	os2/pmdemo1.h, os2/pmdemo1.pp, os2/pmdemo1.rc, text/Makefile,
	text/Makefile.fpc, text/blackbox.pp, text/eratos.pp, text/hello.pp,
	text/lines.pp, text/magic.pp, text/qsort.pp, win32/Makefile,
	win32/Makefile.fpc, win32/dlltest.pp, win32/edit.pp, win32/menu.pp,
	win32/testdll.pp, win32/winhello.pp:
	
	  * moved to own module

